Bug 1255855 (kwayland-integration) - Review Request: kwayland-integration - Wayland Integration plugins for various KDE Frameworks
Summary: Review Request: kwayland-integration - Wayland Integration plugins for variou...
Keywords:
Status: CLOSED RAWHIDE
Alias: kwayland-integration
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews plasma5
TreeView+ depends on / blocked
 
Reported: 2015-08-21 17:23 UTC by Daniel Vrátil
Modified: 2015-11-02 01:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-13 13:47:33 UTC
jgrulich: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2015-08-21 17:23:22 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kwayland-integration.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kwayland-integration-5.3.95-1.fc22.src.rpm
Description: Wayland Integration plugins for various KDE Frameworks
Fedora Account System Username: dvratil

Comment 1 Kevin Kofler 2015-08-21 18:05:34 UTC
The macro wayland_min_version is defined, but not used anywhere.

Comment 2 Daniel Vrátil 2015-08-21 23:42:52 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kwayland-integration.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kwayland-integration-5.4.0-1.fc22.src.rpm

* Sat Aug 22 2015 Daniel Vrátil <dvratil@redhat.com> - 5.4.0-1
- remove wayland_min_version macro
- bump to 5.4.0

Comment 3 Jan Grulich 2015-08-24 19:48:52 UTC
1) Wrong license, should be LGPLv2+
2) Use %license instead of %doc for license file

Both are just minor issues and can be simply fixed later or before import so the package can be approved.

Comment 4 Daniel Vrátil 2015-08-25 09:54:49 UTC
New Package SCM Request
=======================
Package Name: kwayland-integration
Short Description: Wayland Integration plugins for various KDE Frameworks
Upstream URL: https://projects.kde.org/projects/kde/workspace/kwayland-integration
Owners: dvratil
Branches: f21 f22 f23
InitialCC:

Comment 5 Gwyn Ciesla 2015-08-25 13:34:01 UTC
Git done (by process-git-requests).

Comment 6 Rex Dieter 2015-10-13 13:47:33 UTC
imported


Note You need to log in before you can comment on or make changes to this bug.